#!/bin/bash

source devel.bash

for d in packages ; do
    echo "Running $d/CASCADE-MAKE.sh"

    (cd $d ; ./CASCADE-MAKE.sh $*)

    if [ $? != 0 ] ; then
        echo "Error encountered running $d/CASCADE-MAKE.sh"
        exit 1
    fi
done

# makedist: just put the files and folder we want in the distribution tarball
# Note that any directories specified for files in the whitelist will also go in
# maintaining directory structure. So "linux/bin/pdf*" will end up in the final
# extracted xpdf-tools folder, not just pdf*.
if [ $makedist = "1" ] ; then
    # See xpdftools' README: licencing files and xpdf-tools manpages
    # need to be redistributed with xpdf-tools binaries
    toplevel_make_dist $GSDLOS $GSDLOS/bin/pdf* $GSDLOS/man licence-files/*
fi
